<?xml version="1.0" encoding="ISO-8859-1"?>
<!DOCTYPE web-app PUBLIC "-//Sun Microsystems, Inc.//DTD Web Application 2.2//EN" "http://java.sun.com/j2ee/dtds/web-app_2.2.dtd">

<web-app>
  <!-- Version number parameters -->
  <context-param>
    <param-name>version-number</param-name>
    <param-value>@version_string@</param-value>
  </context-param>
  <context-param>
    <param-name>build-date</param-name>
    <param-value>@build_date@ @build_time@</param-value>
  </context-param>
	<!-- SERVLETS -->
  <servlet>
    <servlet-name>UploadBillingFile</servlet-name>
    <servlet-class>edu.ucsd.library.billing.UploadBillingFile</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>UploadBillingFile</servlet-name>
    <url-pattern>/servlets/UploadBillingFile</url-pattern>
  </servlet-mapping>
    <servlet>
    <servlet-name>ProcessOutputData</servlet-name>
    <servlet-class>edu.ucsd.library.billing.ProcessOutputData</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>ProcessOutputData</servlet-name>
    <url-pattern>/servlets/ProcessOutputData</url-pattern>
  </servlet-mapping>
    <servlet>
    <servlet-name>ModifyQueues</servlet-name>
    <servlet-class>edu.ucsd.library.billing.ModifyQueues</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>ModifyQueues</servlet-name>
    <url-pattern>/servlets/ModifyQueues</url-pattern>
  </servlet-mapping>
  <servlet>
    <servlet-name>EditProblemQueueData</servlet-name>
    <servlet-class>edu.ucsd.library.billing.EditProblemQueueData</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>EditProblemQueueData</servlet-name>
    <url-pattern>/servlets/EditProblemQueueData</url-pattern>
  </servlet-mapping>
    <servlet>
    <servlet-name>SendOutputFiles</servlet-name>
    <servlet-class>edu.ucsd.library.billing.SendOutputFiles</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>SendOutputFiles</servlet-name>
    <url-pattern>/servlets/SendOutputFiles</url-pattern>
  </servlet-mapping>
     <servlet>
    <servlet-name>GetSearchResults</servlet-name>
    <servlet-class>edu.ucsd.library.billing.GetSearchResults</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>GetSearchResults</servlet-name>
    <url-pattern>/servlets/GetSearchResults</url-pattern>
  </servlet-mapping>
  <servlet>
    <servlet-name>GetSessionDates</servlet-name>
    <servlet-class>edu.ucsd.library.billing.GetSessionDates</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>GetSessionDates</servlet-name>
    <url-pattern>/servlets/GetSessionDates</url-pattern>
  </servlet-mapping>

    <servlet>
    <servlet-name>GetSessionResults</servlet-name>
    <servlet-class>edu.ucsd.library.billing.GetSessionResults</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>GetSessionResults</servlet-name>
    <url-pattern>/servlets/GetSessionResults</url-pattern>
  </servlet-mapping>

     <servlet>
    <servlet-name>ResubmitData</servlet-name>
    <servlet-class>edu.ucsd.library.billing.ResubmitData</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>ResubmitData</servlet-name>
    <url-pattern>/servlets/ResubmitData</url-pattern>
  </servlet-mapping>

       <servlet>
    <servlet-name>GetSessionData</servlet-name>
    <servlet-class>edu.ucsd.library.billing.GetSessionData</servlet-class>
  </servlet>
  <servlet-mapping>
    <servlet-name>GetSessionData</servlet-name>
    <url-pattern>/servlets/GetSessionData</url-pattern>
  </servlet-mapping>



  <!-- REFERENCES -->
  <resource-ref>
    <description>local Oracle billing DB</description>
    <res-ref-name>billing</res-ref-name>
    <res-type>javax.sql.DataSource</res-type>
    <res-auth>Container</res-auth>
  </resource-ref>
  <resource-ref>
    <description>libnet db</description>
    <res-ref-name>libnet</res-ref-name>
    <res-type>javax.sql.DataSource</res-type>
    <res-auth>Container</res-auth>
  </resource-ref>
  <resource-ref>
    <description>Environment Variable</description>
    <res-ref-name>clusterHostName</res-ref-name>
    <res-type>java.lang.String</res-type>
    <res-auth>Container</res-auth>
  </resource-ref>
  <resource-ref>
    <description>Environment Variable</description>
    <res-ref-name>clusterSharedPath</res-ref-name>
    <res-type>java.lang.String</res-type>
    <res-auth>Container</res-auth>
  </resource-ref>
  <resource-ref>
    <description>Remote FTP/SSL Server hostname</description>
    <res-ref-name>billingServer/hostname</res-ref-name>
    <res-type>java.lang.String</res-type>
    <res-auth>Container</res-auth>
  </resource-ref>
  <resource-ref>
    <description>Remote FTP/SSL Server username</description>
    <res-ref-name>billingServer/username</res-ref-name>
    <res-type>java.lang.String</res-type>
    <res-auth>Container</res-auth>
  </resource-ref>
  <resource-ref>
    <description>Remote FTP/SSL Server password</description>
    <res-ref-name>billingServer/password</res-ref-name>
    <res-type>java.lang.String</res-type>
    <res-auth>Container</res-auth>
  </resource-ref>
  <resource-ref>
    <description>Remote FTP/SSL Server path</description>
    <res-ref-name>billingServer/path</res-ref-name>
    <res-type>java.lang.String</res-type>
    <res-auth>Container</res-auth>
  </resource-ref>
  <!-- SECURITY -->
  <security-constraint>
    <web-resource-collection>
      <web-resource-name>Protected Area</web-resource-name>
      <url-pattern>/*</url-pattern>
      <http-method>DELETE</http-method>
      <http-method>GET</http-method>
      <http-method>POST</http-method>
      <http-method>PUT</http-method>
    </web-resource-collection>
    <auth-constraint>
      <description>Users in the AD Billing - Circ Group</description>
      <role-name>Billing - Circ</role-name>
      <role-name>IT Development</role-name>
    </auth-constraint>
    <user-data-constraint>
      <transport-guarantee>NONE</transport-guarantee>
    </user-data-constraint>
  </security-constraint>
  <!-- LOGIN -->
    <login-config>
        <auth-method>FORM</auth-method>
        <realm-name>Authentication Required</realm-name>
        <form-login-config>
            <form-login-page>/login/login.jsp</form-login-page>
            <form-error-page>/login/error.jsp</form-error-page>
        </form-login-config>
    </login-config>
  <!-- AD ROLES -->
  <security-role>
    <role-name>Billing - Circ</role-name>
    <role-name>IT Development</role-name>
  </security-role>

  <distributable/>
</web-app>
